Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 603726 (libav-12) - [TRACKER] media-video/libav-12 transition
Summary: [TRACKER] media-video/libav-12 transition
Status: RESOLVED FIXED
Alias: libav-12
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords: Tracker
Depends on: 588482 609186 609198 619486 621172 634102 654484
Blocks: 603992 617508
  Show dependency tree
 
Reported: 2016-12-25 22:32 UTC by Coacher
Modified: 2020-04-26 15:23 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Coacher 2016-12-25 22:32:22 UTC
Hello.

libav-12 spent more than 9 months in masked state.

Can you please finally unmask it?
Comment 1 Coacher 2016-12-29 06:14:09 UTC
# Luca Barbato <lu_zero@gentoo.org> (23 May 2016)
# Masked for testing, vlc-2.2 configure rejects it.
=media-video/libav-12*

Is there a bug for it?

Is libav-12 masked because of one package?
If not, is there a tracker bug like the one we have for ffmpeg-3?
Comment 2 Coacher 2016-12-30 18:46:50 UTC
> # Luca Barbato <lu_zero@gentoo.org> (23 May 2016)
> # Masked for testing, vlc-2.2 configure rejects it.
This isn't true now as 2.2.4-r1 builds fine with libav-12.
Comment 3 Coacher 2016-12-31 13:50:12 UTC
Make bugs preventing unmasking of >=libav-12 block this one.
Comment 4 Coacher 2016-12-31 13:52:00 UTC
Hello, Toralf.

Could you please do a tinderbox run against =media-video/libav-12 (currently masked)? Similarly to how you did it for ffmpeg-3. Thanks a lot!
Comment 5 Toralf Förster gentoo-dev 2017-01-03 17:41:03 UTC
(In reply to Coacher from comment #4)
did it, but not too much fall outs happened here till now
Comment 6 Steve Arnold archtester gentoo-dev 2017-08-20 20:48:08 UTC
This all seems to work now when put together with the fixed libav patch; I added a comment to Bug #588482 with the details.  With a teensy bit more work this bug can be resolved.  Thanks.
Comment 7 Larry the Git Cow gentoo-dev 2020-04-26 15:23:04 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ae1063b59ef317fdc6dd640b60437f6fb143a2ac

commit ae1063b59ef317fdc6dd640b60437f6fb143a2ac
Author:     Mikle Kolyada <zlogene@gentoo.org>
AuthorDate: 2020-04-26 15:14:48 +0000
Commit:     Mikle Kolyada <zlogene@gentoo.org>
CommitDate: 2020-04-26 15:22:46 +0000

    media-video/libav: remove last-rited pkg
    
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=452482
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=458768
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=470764
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=499256
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=509974
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=519602
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=525070
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=555114
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=564040
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=587054
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=588986
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=701952
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=538790
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=711206
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=489922
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=409957
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=445854
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=474408
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=509294
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=522350
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=546080
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=588482
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=603726
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=694082
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=634102
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=542186
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=635524
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=651218
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=651220
    
    Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>

 media-video/libav/Manifest                    |   3 -
 media-video/libav/files/libav-12.3-x264.patch |  85 -------
 media-video/libav/libav-12.3.ebuild           | 350 --------------------------
 media-video/libav/libav-13_pre20171219.ebuild | 336 -------------------------
 media-video/libav/libav-9999.ebuild           | 339 -------------------------
 media-video/libav/metadata.xml                |  35 ---
 6 files changed, 1148 deletions(-)